curl --request POST \
--url https://sandbox.thredfi.com/v1/platform/businesses/{business_id}/customer-credits/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"external_id": "<string>",
"line_items": [
{
"amount": 2,
"tax_amount_cents": 1,
"revenue_account_identifier": "<unknown>",
"memo": "<string>",
"metadata": {},
"reference_number": "<string>",
"tags": [
{}
]
}
],
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_external_id": "<string>",
"source_invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sent_at": "2023-11-07T05:31:56Z",
"allocations": [
{
"amount": 2,
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"tags": [
{}
],
"document": {
"file": "<string>",
"document_type": "customer_credit",
"upload_source": "<string>",
"metadata": "<unknown>",
"tags": "<unknown>"
}
}
'import requests
url = "https://sandbox.thredfi.com/v1/platform/businesses/{business_id}/customer-credits/"
payload = {
"external_id": "<string>",
"line_items": [
{
"amount": 2,
"tax_amount_cents": 1,
"revenue_account_identifier": "<unknown>",
"memo": "<string>",
"metadata": {},
"reference_number": "<string>",
"tags": [{}]
}
],
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_external_id": "<string>",
"source_invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sent_at": "2023-11-07T05:31:56Z",
"allocations": [
{
"amount": 2,
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"tags": [{}],
"document": {
"file": "<string>",
"document_type": "customer_credit",
"upload_source": "<string>",
"metadata": "<unknown>",
"tags": "<unknown>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
external_id: '<string>',
line_items: [
{
amount: 2,
tax_amount_cents: 1,
revenue_account_identifier: '<unknown>',
memo: '<string>',
metadata: {},
reference_number: '<string>',
tags: [{}]
}
],
customer_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
customer_external_id: '<string>',
source_invoice_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sent_at: '2023-11-07T05:31:56Z',
allocations: [{amount: 2, invoice_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'}],
tags: [{}],
document: {
file: '<string>',
document_type: 'customer_credit',
upload_source: '<string>',
metadata: '<unknown>',
tags: '<unknown>'
}
})
};
fetch('https://sandbox.thredfi.com/v1/platform/businesses/{business_id}/customer-credits/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "draft",
"sent_at": "2023-11-07T05:31:56Z",
"customer": {},
"source_invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"line_items": [
{
"amount": 123,
"revenue_account_identifier": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "AccountId"
},
"tags": [
"<string>"
],
"memo": "<string>",
"metadata": "<unknown>"
}
],
"allocations": [
{
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_number": "<string>",
"amount_cents": 123,
"invoice_outstanding_balance_cents": 123,
"applied_at": "2023-11-07T05:31:56Z"
}
],
"tags": [
{}
],
"total_amount": 123,
"applied_amount": 123,
"document": {
"url": "<string>",
"expires_in": 123,
"document_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"file_name": "<string>",
"file_size": 123,
"mime_type": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"external_id": "<string>",
"currency": "EUR"
}{
"error_code": "<string>",
"message": "<string>",
"detail": {},
"request_id": "<string>"
}{
"error_code": "<string>",
"message": "<string>",
"detail": {},
"request_id": "<string>"
}{
"error_code": "<string>",
"message": "<string>",
"detail": {},
"request_id": "<string>"
}{
"error_code": "<string>",
"message": "<string>",
"detail": {},
"request_id": "<string>"
}{
"error_code": "<string>",
"message": "<string>",
"detail": {},
"request_id": "<string>"
}{
"error_code": "<string>",
"message": "<string>",
"detail": {},
"request_id": "<string>"
}{
"error_code": "<string>",
"message": "<string>",
"detail": {},
"request_id": "<string>"
}Create Customer Credit
Create a customer credit note with line items and optional allocations.
Authorizations
Partner-level JWT token (unscoped). Token payload includes partner_id. Business access is validated via partner ownership. Format: Bearer <your-jwt-token>
Use this for: Multi-business operations where the business_id is specified in the URL and partner has access to multiple businesses.
Path Parameters
Business UUID provided by Thred (unique identifier for the business)
Body
Customer credit creation serializer with line_items support.
Creates customer credits with line_items for flexible account allocation.
External system identifier for this customer credit
1Array of line items for this customer credit
Show child attributes
Show child attributes
Existing customer ID to assign credit to
External customer ID. Will create customer if not found
Optional invoice ID this credit note was created from (origin tracking, not allocation)
When the credit was sent (ISO 8601 format). Defaults to now
Array of invoice allocations for this credit
Show child attributes
Show child attributes
Transaction tags for the credit
Show child attributes
Show child attributes
Optional document upload
Show child attributes
Show child attributes
Response
Customer credit serializer for API responses.
Unique customer credit identifier
Credit status: draft, sent, partially_applied, applied, void (computed from allocations)
draft, sent, applied, partially_applied, void When the credit was sent
Customer receiving this credit (inline details)
Show child attributes
Show child attributes
Invoice ID this credit was created from (origin tracking, not allocation)
Array of credit line items
Show child attributes
Show child attributes
Array of invoice allocations
Show child attributes
Show child attributes
Transaction tags for the credit
Show child attributes
Show child attributes
Total credit amount in cents
Applied credit amount in cents
Latest document linked to this customer credit
Show child attributes
Show child attributes
Credit creation timestamp
Last update timestamp
Your external system identifier for this credit
255Credit currency (e.g., GBP, EUR, USD)
EUR- EuroGBP- British PoundUSD- US DollarSEK- Swedish KronaNOK- Norwegian KroneDKK- Danish KroneISK- Icelandic KrónaMYR- Malaysian RinggitSGD- Singapore Dollar
EUR, GBP, USD, SEK, NOK, DKK, ISK, MYR, SGD Was this page helpful?